Draft Inverser la direction de la cote

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft FlipDimension and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Page précédente : Draft Slope.svg Pente
Page suivante : Vue 2D d'une forme Draft Shape2DView.svg Arrow-right.svg

Draft FlipDimension.svg Draft Inverser la direction de la cote

Emplacement du menu
Modification → Inverser la direction de la cote
Ateliers
Draft, Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Aucun

Description

La commande Draft FlipDimension.svg Draft Inverser la direction de la cote fait pivoter le texte de cote des Draft Dimensions de 180° autour de la ligne de cote. Elle peut être utilisée pour corriger les dimensions dont le texte apparaît en miroir. La commande ne fonctionne pas correctement pour les dimensions angulaires.

Utilisation

  1. Sélectionnez une ou plusieurs Draft Dimensions.
  2. Il existe plusieurs façons de lancer la commande :

Remarques

  • Les Draft Dimensions possèdent également une propriété DonnéesFlip Text. Lorsqu'elle est définie sur true, le texte est tourné de 180° autour de la direction normale. Ceci peut être combiné avec l'effet de cette commande.

Script

Voir aussi : Autogenerated API documentation et Débuter avec les scripts FreeCAD.

Pour inverser une Draft Dimension, inversez sa propriété Normal.

Exemple :

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 0, 0)
p3 = App.Vector(500, 300, 0)
dimension = Draft.make_dimension(p1, p2, p3)
dimension.ViewObject.FontSize = 200

dimension.Normal = dimension.Normal.negative()
doc.recompute()


Arrow-left.svg Page précédente : Draft Slope.svg Pente
Page suivante : Vue 2D d'une forme Draft Shape2DView.svg Arrow-right.svg